import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

public class DropDownRenderer extends JLabel implements ListCellRenderer {
  //GBLRow wi = null;

  public DropDownRenderer () {
    setOpaque(true); //MUST do this for background to show up.
    setHorizontalAlignment(CENTER);
    setVerticalAlignment(CENTER);
    //wi = new WeatherItem (0, "", new java.util.Date());
  }

  public Component getListCellRendererComponent(JList list, Object value,
                                                int index, boolean isSelected,
                                                boolean cellHasFocus) {
    if (isSelected) {
      setBackground(list.getSelectionBackground());
      setForeground(list.getSelectionForeground());
    } else {
      setBackground(list.getBackground());
      setForeground(list.getForeground());
    }

    //setText ("--" + (String)value + "--");
    setText("");
    setIcon (new ImageIcon (getClass().getResource("icons/renderers/"+ ((String)value) +".png")));    
    return this;
  }
}